
<h1>Assets</h1>

<% if @quote %>
    <%= render :partial=>'quote_form', locals: { :quote=>@quote, :securities=>@securities  } %>
<% end %>

<div id='assets_invested' class="overview_counters">
  <ul>
    <li>Market Value:  <span><%= smr_humanize(@assets.market_value, :shortword=>true) %></span></li>
    <% if @assets.profit_loss>=0 %>
        <li class="profit">Profit: <span><%= smr_humanize(@assets.profit_loss, :shortword=>true) %> (<%= percentage_change(@assets.invested, @assets.market_value) %>)</span></li>
    <% else %>
        <li class="loss">Loss: <span><%= smr_humanize(@assets.profit_loss, :shortword=>true) %> (<%= percentage_change(@assets.invested, @assets.market_value) %>)</span></li>
    <% end %>
    <% if @assets.accrued_interest > 0 %>
       <li>Accrued Interest: <span><%= smr_humanize(@assets.accrued_interest, :shortword=>true) %></span></li>
    <% end %>
    <% if @assets.collateral_coverage_value > 0 %>
       <li>Collateral:  <span><%= smr_humanize(@assets.collateral_coverage_value, :shortword=>true) %></span></li>
    <% end %>
  </ul>
</div>

<%= form_tag(show_portfolio_post_path, :id=>'controller_filter') do %>
    <p>
     <%= select_tag :id_portfolio, options_from_collection_for_select(@portfolios, :id, :name, @shown_portfolio), prompt: '-- All Portfolios --' %>
     <%= button_tag :show, :name=>'show', :value=>'this' %>
    </p>
<% end %>

<h2>Open Positions</h2>
<table id='assets'>
  <thead>
    <tr>
        <th></th>
        <th>Average Cost<span>per share</span></th>
        <th>Last Trade</th>
        <th>Market Value</th>
        <th>Profit / Loss</th>
        <th>Weight</th>
    </tr>
  </thead>
  <tbody>
  <% @open_positions.sort.reverse.each do |p| %>
    <tr class="separaterows">
      <td>
        <%= link_to '+', p.link.to_url %> <%= p.security %>
        <span>
           <span class="symbol"><%=p.security.symbol%></span>
        </span>
        <% if not p.comment.blank? %><span class="comment_text"><%= 'at %s:' % p.portfolio if p.is_cash_position? %> <%= p.comment %></span><% end %>
      </td>
      <td><%= smr_humanize(p.cost_price) %></td>
      <td><% if not p.last_quote.last %>-<% else %><%= p.last_quote.last %> <span class='<%= p.last_quote.css_class(smr_browse_date) %>'>&bull;</span><% end %></td>
      <td><%= smr_humanize(p.market_value) %></td>
      <td class="<%= smr_profitloss_status(p.profit_loss, :css=>true) %>">
        <%= smr_humanize(p.profit_loss) %>
        <span><%= percentage_change(p.invested, p.market_value) %></span>
      </td>
      <td><%= percentage_of(@assets.market_value, p.market_value) %></td>
    </tr>
  <% end %>
  </tbody>
</table>
